X
Nhấn vào đây để đến phiên bản di động của trang web.

Diễn đàn trợ giúp

Additional plugins required message, but no plugins available.

Được đăng

The message "Additional plugins are required to display all the media on this page" occurs on every page of every web site. Click Install and I get message "No suitable plugins were found". V 19.0.2 Windows 8

The message "Additional plugins are required to display all the media on this page" occurs on every page of every web site. Click Install and I get message "No suitable plugins were found". V 19.0.2 Windows 8

Giải pháp được chọn

Firefox is usually able to detect the Flash plugin, so if you see this error then there is likely another MIME type involved.

You would have to check the (generated) page code for object and embed tags to see if there is one with a missing MIME type attribute or a MIME type that isn't covered by an installed plugin.

  • Firefox > Web Developer > Page Source
  • Tools > Web Developer > Page Source (Ctrl+U)
  • right-click on a web page to open the context menu and select View Page Source
Đọc câu trả lời này trong ngữ cảnh 1

Chi tiết hệ thống bổ sung

Phần bổ trợ đã cài đặt

  • Shockwave Flash 11.6 r602
  • Next Generation Java Plug-in 10.17.2 for Mozilla browsers
  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • Adobe PDF Plug-In For Firefox and Netscape 11.0.02
  • LogMeIn, Inc. Remote Access Components
  • 5.1.20125.0
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.
  • Amazon MP3 Downloader Plugin 1.0.17
  • NVIDIA 3D Vision plugin for Mozilla browsers
  • NVIDIA 3D Vision Streaming plugin for Mozilla browsers
  • Adobe PDF Plug-In For Firefox and Netscape 10.0.1
  • The plug-in allows you to open and edit files using Microsoft Office applications
  • Office Authorization plug-in for NPAPI browsers
  • np-mswmp
  • Yahoo! activeX Plug-in Bridge

Ứng dụng

  • Chuỗi đại diện người dùng: Mozilla/5.0 (Windows NT 6.2; WOW64; rv:19.0) Gecko/20100101 Firefox/19.0

Thông tin chi tiết

Application Basics
Name
Firefox
Version
19.0.2
User Agent
Mozilla/5.0 (Windows NT 6.2; WOW64; rv:19.0) Gecko/20100101 Firefox/19.0
Build Configuration
about:buildconfig
Extensions
Name
Version
Enabled
ID
Dragon NaturallySpeaking Rich Internet Application Support
1.0.0.6
true
jid0-lmZNVK7a82O8cufhdfB9dUDfA2w@jetpack
LogMeIn, Inc. Remote Access Plugin
1.0.0.1007
true
LogMeInClient@logmein.com
RoboForm Toolbar for Firefox
7.8.7.5
true
{22119944-ED35-4ab1-910B-E619EA06A115}
Important Modified Preferences
Name
Value
browser.cache.disk.capacity
358400
browser.cache.disk.smart_size.first_run
false
browser.cache.disk.smart_size.use_old_max
false
browser.cache.disk.smart_size_cached_value
358400
browser.places.smartBookmarksVersion
4
browser.startup.homepage
http://www.slate.com/
browser.startup.homepage_override.buildID
20130307023931
browser.startup.homepage_override.mstone
19.0.2
extensions.lastAppVersion
19.0.2
gfx.direct3d.checkDX10
false
network.cookie.prefsMigrated
true
places.database.lastMaintenance
1363900717
places.history.expiration.transient_current_max_pages
104858
plugin.disable_full_page_plugin_for_types
application/pdf
privacy.donottrackheader.enabled
true
privacy.sanitize.migrateFx3Prefs
true
privacy.sanitize.timeSpan
0
security.warn_viewing_mixed
false
Graphics
Adapter Description
NVIDIA GeForce 8600 GTS
Adapter Drivers
nvd3dumx,nvwgf2umx,nvwgf2umx nvd3dum,nvwgf2um,nvwgf2um
Adapter RAM
256
Device ID
0x0400
Direct2D Enabled
true
DirectWrite Enabled
true (6.2.9200.16433)
Driver Date
10-2-2012
Driver Version
9.18.13.697
GPU #2 Active
false
GPU Accelerated Windows
3/3 Direct3D 10
Vendor ID
0x10de
WebGL Renderer
Google Inc. -- ANGLE (NVIDIA GeForce 8600 GTS)
AzureCanvasBackend
direct2d
AzureContentBackend
direct2d
AzureFallbackCanvasBackend
cairo
JavaScript
Incremental GC
true
Accessibility
Activated
true
Prevent Accessibility
0
Library Versions
Expected minimum version
Version in use
NSPR
4.9.4
4.9.4
NSS
3.14.1.0 Basic ECC
3.14.1.0 Basic ECC
NSSSMIME
3.14.1.0 Basic ECC
3.14.1.0 Basic ECC
NSSSSL
3.14.1.0 Basic ECC
3.14.1.0 Basic ECC
NSSUTIL
3.14.1.0
3.14.1.0

Amit Kumar Thakur
  • Locale Leader
70 giải pháp 859 câu trả lời
Được đăng

Please check if all your plugins are up-to-date. To do this, go to the Mozilla Plugin Check site.

Once you're there, the site will check if all your plugins have the latest versions. If you see plugins in the list that have a yellow Update button or a red Update now button, please update these immediately.

To do so, please click each red or yellow button. Then you should see a site that allows you to download the latest version. Double-click the downloaded file to start the installation and follow the steps mentioned in the installation procedure.

Please check if all your plugins are up-to-date. To do this, go to the [http://mozilla.com/plugincheck Mozilla Plugin Check site]. Once you're there, the site will check if all your plugins have the latest versions. If you see plugins in the list that have a yellow ''Update'' button or a red ''Update now'' button, please update these immediately. To do so, please click each red or yellow button. Then you should see a site that allows you to download the latest version. Double-click the downloaded file to start the installation and follow the steps mentioned in the installation procedure.

Người tạo câu hỏi

All plugins were Up to date or Research. I disabled a couple of those that were unnecessary, I have had the others for quite a while. Re-installed latest version, I was current anyway. Still getting message.

All plugins were Up to date or Research. I disabled a couple of those that were unnecessary, I have had the others for quite a while. Re-installed latest version, I was current anyway. Still getting message.

Người tạo câu hỏi

All plugins were Up to date or Research. I disabled a couple of those that were unnecessary, I have had the others for quite a while. Re-installed latest version, I was current anyway. Still getting message.

All plugins were Up to date or Research. I disabled a couple of those that were unnecessary, I have had the others for quite a while. Re-installed latest version, I was current anyway. Still getting message.
wkponder 0 giải pháp 2 câu trả lời
Được đăng

Same problem. Same steps to resolve. Reinstalled plugins just to be sure but same result -- No joy! This happens in many places but the Apple Support Community is an example. Perhaps someone who isn't having this problem could post a list of their plugins so we could see what's missing from our (those with the problem) list. Any help would be appreciated.

Same problem. Same steps to resolve. Reinstalled plugins just to be sure but same result -- No joy! This happens in many places but the [https://discussions.apple.com/index.jspa Apple Support Community] is an example. Perhaps someone who isn't having this problem could post a list of their plugins so we could see what's missing from our (those with the problem) list. Any help would be appreciated.
cor-el
  • Top 10 Contributor
  • Moderator
17467 giải pháp 157838 câu trả lời
Được đăng

I'm not seeing any plugins loaded on that page not even with a Mac user agent, so I'm not sure why you get this notification bar.
It may be Mac specific.

You would have to inspect the page source (possibly in an object or embed or video/audio tag) to see if you can find the code that specifies this plugin.

I'm not seeing any plugins loaded on that page not even with a Mac user agent, so I'm not sure why you get this notification bar.<br /> It may be Mac specific. You would have to inspect the page source (possibly in an object or embed or video/audio tag) to see if you can find the code that specifies this plugin.
philipp
  • Top 25 Contributor
  • Moderator
5304 giải pháp 23419 câu trả lời
Được đăng

can you try to replicate this behaviour when you launch firefox in safe mode once?

Troubleshoot extensions, themes and hardware acceleration issues to solve common Firefox problems

can you try to replicate this behaviour when you launch firefox in safe mode once? [[Troubleshoot extensions, themes and hardware acceleration issues to solve common Firefox problems]]
NormSash 0 giải pháp 3 câu trả lời
Được đăng

I'm also having this problem of "additional plugins needed". Win8 FF 21

I've reinstalled Flash and verified that it is installed. Verified plugins up to date.

I'm even getting the "additional plugins needed" message on this mozilla.org support page.

I'm also having this problem of "additional plugins needed". Win8 FF 21 I've reinstalled Flash and verified that it is installed. Verified plugins up to date. I'm even getting the "additional plugins needed" message on this mozilla.org support page.
wkponder 0 giải pháp 2 câu trả lời
Được đăng

Haven't a clue what's changed but the problem no longer appears to exist. The only thing I can think of that has changed is that DownloadHelper (or was it FlashGot) has updated itself, as they often seems to do without my intervention. I haven't really kept track or paid close attention in the past but I certainly will going forward. Could there have been a bug there that was resolved? Just guessing but I'm glad the messages have disappeared. Hope it's permanent.

Haven't a clue what's changed but the problem no longer appears to exist. The only thing I can think of that has changed is that DownloadHelper (or was it FlashGot) has updated itself, as they often seems to do without my intervention. I haven't really kept track or paid close attention in the past but I certainly will going forward. Could there have been a bug there that was resolved? Just guessing but I'm glad the messages have disappeared. Hope it's permanent.
NormSash 0 giải pháp 3 câu trả lời
Được đăng

The problem hasn't been resolved for me, although it has changed. For me, the message stating "additional plugin needed" no longer displays, but...

The notification bar still displays and there is just a small icon on the left of the bar (can't tell what it is) along with the button on the right of the bar to "Install missing plugins".

So the problem still remains for me.

The problem hasn't been resolved for me, although it has changed. For me, the message stating "additional plugin needed" no longer displays, but... The notification bar still displays and there is just a small icon on the left of the bar (can't tell what it is) along with the button on the right of the bar to "Install missing plugins". So the problem still remains for me.
StefanW2 0 giải pháp 1 câu trả lời
Được đăng

Same problem on Mac; my plugins are all up to date and the media still play on such sites, I assume through QuickTime. Various posts about this say that one can resolve it by resetting the QuickTime preferences to allow additional MIME types like .wav. However, QuickTime in Mac OS X.7 no longer has any way to change preferences (unless you purchase the "Pro" version. Figures..) Another ancient post from around 2005 (this issue has been around that long) said that this was due to an internal conflict in Firefox regarding QT version numbers that could be fixed in about:config. However, the specific setting to fix (it was QuickTime-specific) no longer exists in about:config. As this issue occurs only in Firefox, it looks to me like a Firefox bug, and not a QuickTime bug. (Incidentally, Firefox also steals focus when the alert pops up -- another annoying issue that has been around for ages..)

Same problem on Mac; my plugins are all up to date and the media still play on such sites, I assume through QuickTime. Various posts about this say that one can resolve it by resetting the QuickTime preferences to allow additional MIME types like .wav. However, QuickTime in Mac OS X.7 no longer has any way to change preferences (unless you purchase the "Pro" version. Figures..) Another ancient post from around 2005 (this issue has been around that long) said that this was due to an internal conflict in Firefox regarding QT version numbers that could be fixed in about:config. However, the specific setting to fix (it was QuickTime-specific) no longer exists in about:config. As this issue occurs only in Firefox, it looks to me like a Firefox bug, and not a QuickTime bug. (Incidentally, Firefox also steals focus when the alert pops up -- another annoying issue that has been around for ages..)
genej313 3 giải pháp 13 câu trả lời
Được đăng

I had this problem with a previous version of FF, forget which. It, for me, is only happening on the Hunger Site. All plugins are up to date. And the finder finds none. No idea why, but it is quite annoying. There are 8 tabs there I click daily and, well, you see the issue. I hope you find an answer. Not a Mac either, Win7 on an HP Pavilion, using version 22 FF.

I had this problem with a previous version of FF, forget which. It, for me, is only happening on the Hunger Site. All plugins are up to date. And the finder finds none. No idea why, but it is quite annoying. There are 8 tabs there I click daily and, well, you see the issue. I hope you find an answer. Not a Mac either, Win7 on an HP Pavilion, using version 22 FF.
Tink2 0 giải pháp 1 câu trả lời
Được đăng

I have looked this up on several different question sites and LOTS of talk about this - but the common factor is "FireFox" not Adobe of installation of plugins - have you gotten a fix for this yet - stop telling everyone to check their plugin to see if they are up to date and or to take a better version of adobe off and install reader - that's crazy why does it work for all the millions of other browsers out that but doesn't for FireFox?

Please fix or something. Until it's fixed I will go back to using Google Chrome and Explorer it's too hard to use FireFox when you can even open pages.

I have looked this up on several different question sites and LOTS of talk about this - but the common factor is "FireFox" not Adobe of installation of plugins - have you gotten a fix for this yet - stop telling everyone to check their plugin to see if they are up to date and or to take a better version of adobe off and install reader - that's crazy why does it work for all the millions of other browsers out that but doesn't for FireFox? Please fix or something. Until it's fixed I will go back to using Google Chrome and Explorer it's too hard to use FireFox when you can even open pages.
genej313 3 giải pháp 13 câu trả lời
Được đăng

Câu trả lời hữu ích

Tink2. I did solve my problem but I don't know exactly how. I reset FF which got rid of all my extensions and then added back just those few I really like, one at a time. So, I have just a few now and won't EVER add anymore until FF fixes whatever is wrong under the hood.

What works is Cool Previews, Forecast Fox, Personas, IE Tab 2 and Web of Trust. I won't add new ones, I'm tired of this nonsense. The good news is the plugins all work fine, it is the add on extensions that have problems. I had many but no more. Just those above that I know work and don't cause the "install missing" issue.  :^) gene

Tink2. I did solve my problem but I don't know exactly how. I reset FF which got rid of all my extensions and then added back just those few I really like, one at a time. So, I have just a few now and won't EVER add anymore until FF fixes whatever is wrong under the hood. What works is Cool Previews, Forecast Fox, Personas, IE Tab 2 and Web of Trust. I won't add new ones, I'm tired of this nonsense. The good news is the plugins all work fine, it is the add on extensions that have problems. I had many but no more. Just those above that I know work and don't cause the "install missing" issue. :^) gene
mshcah 0 giải pháp 1 câu trả lời
Được đăng

Agree totally with Tink2. I get the 'Update Now' for Adobe Acrobat. But I have the latest version suitable for Vista installed. This is a FF problem that needs to be addressed urgently or I will also not be using it much longer.

Agree totally with Tink2. I get the 'Update Now' for Adobe Acrobat. But I have the latest version suitable for Vista installed. This is a FF problem that needs to be addressed urgently or I will also not be using it much longer.
cor-el
  • Top 10 Contributor
  • Moderator
17467 giải pháp 157838 câu trả lời
Được đăng

Giải pháp được chọn

Firefox is usually able to detect the Flash plugin, so if you see this error then there is likely another MIME type involved.

You would have to check the (generated) page code for object and embed tags to see if there is one with a missing MIME type attribute or a MIME type that isn't covered by an installed plugin.

  • Firefox > Web Developer > Page Source
  • Tools > Web Developer > Page Source (Ctrl+U)
  • right-click on a web page to open the context menu and select View Page Source
Firefox is usually able to detect the Flash plugin, so if you see this error then there is likely another MIME type involved. You would have to check the (generated) page code for object and embed tags to see if there is one with a missing MIME type attribute or a MIME type that isn't covered by an installed plugin. *Firefox > Web Developer > Page Source *Tools > Web Developer > Page Source (Ctrl+U) *right-click on a web page to open the context menu and select View Page Source